<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Список альбомов юзера*/
$tpl->assign_file('mod', 'tpl/inc/user_albom.tpl');
$id = (int)$_GET['id'];
$tpl->assign('linc', 'mod=user_albom&amp;id='.$id.'&amp;page=' . (int)$_GET['page']);
//Удаление альбома
if(isset($_GET['del_albom'])){
	$del_albom = (int)$_GET['del_albom'];
	$albom = $db->assoc($db->query("SELECT *  FROM foto_albom WHERE id = '$del_albom'"));
	if($admin || $albom['id_user'] == $user_id){
		if(is_dir('files/'.$albom['id_dir'].'/'.$del_albom)) del_dir('files/'.$albom['id_dir'].'/'.$del_albom);
		//получаем список файлов чтоб почистить в них коменты
		$sql = $db->query("SELECT * FROM foto_file WHERE id_albom = '$del_albom'");
		while(false != ($del = $db->assoc($sql))){
			$com = new comments_class_by_lugaro('fotoalbom', $del['id']);
			$com->del_group();
		}
		//Удаляем записи с базы);
		//Альбомы
		$db->query("DELETE  FROM foto_albom WHERE id = '$del_albom'");
		//Файлы
		$db->query("DELETE  FROM foto_file WHERE id_albom = '$del_albom'");
	}
}
// Список альбомов
$sql = $db->query("SELECT *, (SELECT COUNT(*) FROM foto_file WHERE `mod` = 0 AND  id_albom = foto_albom.id) AS count FROM foto_albom WHERE  id_user = '$id' ORDER BY name ");
while (false != ($res = $db->assoc($sql))) {
    $tpl->assign($res);
    if ($admin || $res['id_user'] == $user_id) $tpl->parse('index.while.admin');
    $tpl->parse('index.while');
}
if(!$db->rows($sql)) $tpl->parse('index.no_albom');
?>